Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component.html
Enum HtmlNotifyMessage.Properties

    java.lang.Object
      java.lang.Enum<HtmlNotifyMessage.Properties>
          org.richfaces.component.html.HtmlNotifyMessage.Properties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlNotifyMessage.Properties>

Enclosing class:
  HtmlNotifyMessage

    protected static enum HtmlNotifyMessage.Properties

extends java.lang.Enum<HtmlNotifyMessage.Properties>

Enum Constant Summary
`dir`
`lang`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`title`

Method Summary
`static HtmlNotifyMessage.Properties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlNotifyMessage.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final HtmlNotifyMessage.Properties dir

### lang

    public static final HtmlNotifyMessage.Properties lang

### onclick

    public static final HtmlNotifyMessage.Properties onclick

### ondblclick

    public static final HtmlNotifyMessage.Properties ondblclick

### onkeydown

    public static final HtmlNotifyMessage.Properties onkeydown

### onkeypress

    public static final HtmlNotifyMessage.Properties onkeypress

### onkeyup

    public static final HtmlNotifyMessage.Properties onkeyup

### onmousedown

    public static final HtmlNotifyMessage.Properties onmousedown

### onmousemove

    public static final HtmlNotifyMessage.Properties onmousemove

### onmouseout

    public static final HtmlNotifyMessage.Properties onmouseout

### onmouseover

    public static final HtmlNotifyMessage.Properties onmouseover

### onmouseup

    public static final HtmlNotifyMessage.Properties onmouseup

### style

    public static final HtmlNotifyMessage.Properties style

### title

    public static final HtmlNotifyMessage.Properties title

Method Detail

### values

    public static HtmlNotifyMessage.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlNotifyMessage.Properties c : HtmlNotifyMessage.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlNotifyMessage.Properties valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.